# Type Alias TranscludeFn

TranscludeFn: (
clone?: Element | Node | ChildNode | NodeList | Node[],
scope?: Scope,
) => any

#### Type declaration

- - (clone?: Element | Node | ChildNode | NodeList | Node[], scope?: Scope): any

  - #### Parameters

    - `Optional` clone: Element | Node | ChildNode | NodeList | Node[]

      The DOM node to be inserted into the transcluded directive.

    - `Optional` scope: Scope

      The new child scope created from the transcluded parent.

    #### Returns any

- Defined in src/core/compile/compile.js:53